<?php
/**
 * webpage.class.php provides access to our templates
 *
 * It defines a class, webpage, which gives access to our boilerplate templates which we 
 * re-use on every page.
 * 
 * @author David Argles <d.argles@gmx.com>
 * @version 29-08-2015, 21:24h
 * @copyright 2015 Haven Consulting
 */

  /**
   * webpage provides access to our templates
   *
   * Besides allowing us to load a particular template file, it also allows us to change 
   * parameters in the file.
   * 
   */
  class webpage
  {     
    /**
     * render() allows us to change the css file used for a particular page
     * 
     * @param text $template filename of template (minus extension)
     * @param array $substitutions update information in [tag] => [value] format
     * @return The updated template text
     */
    public function render($template, $substitutions = array()) 
  	{
      // Check that the partial exists
      $filename = "library/$template.html";
      if(!file_exists($filename)) throw new Exception("Could not find template $template in $filename.");
      // Load the partial
      $contents = file_get_contents($filename);
      // Substitute any placeholders
      foreach($substitutions as $key => $replacement) $contents = str_replace('{{'.$key.'}}', $replacement, $contents); 
      // Send back the result
      return $contents;
    }
  }
/**---------------------------------------------
 *             End of Code
 *----------------------------------------------
 */
?>
  	
